Subject: Re: [GSoC PATCH v3 2/5] pack-write: add helper to fill promisor file after repack

From: Junio C Hamano <[email-masked]>
Date: Tue, 07 Apr 2026 15:03:50 -0700

Lorenzo Pegorari <[email-masked]> writes:

> On Mon, Apr 06, 2026 at 07:01:18PM -0700, Junio C Hamano wrote:
>> Lorenzo Pegorari <[email-masked]> writes:
>> > On Tue, Apr 07, 2026 at 01:22:16AM +0800, Tian Yuchen wrote:
>> >> On 4/6/26 08:24, LorenzoPegorari wrote:
>> >> > +
>> >> > +			/* If <time> doesn't exist, retrieve it and add it to line */
>> >> > +			if (!parts[2]) {
>> >> > +				struct tm tm;
>> >> > +				localtime_r(&source_stat.st_mtim.tv_sec, &tm),
>> >> 
>> >> Typo.
>> >
>> > Ack.
>> 
>> Not just an unintended use of comma operator, this is not portable
>> and breaks OSX build
>> 
>>   https://github.com/git/git/actions/runs/24058681172/job/70170218891#step:4:213
>
> Yeah, I was shocked that it compiled at all on my system with no issue
> whatsoever.
>
>> >> > +				strbuf_addch(&line, ' ');
>> >> > +				strbuf_addftime(&line, "%Y/%m/%d-%H:%M:%S", &tm, 0, 0);
>> 
>> I suspect that storing seconds since epoch as a large integer would
>> be simpler and much less error prone than storing localtime in
>> textual form without even recording the timezone.
>
> Yeah, maybe for this kinda specific debugging info being less error
> prone is more important then "looking good". Will do that.
>
> Thanks,
> Lorenzo

Before moving on, please fetch what I pushed out and see if
SQUASH??? commit I made on top (you should be able to find it out of
'seen') is any useful for your update.

Thanks.